aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-09-09 03:25:04 +0300
committerGitHub <noreply@github.com>2022-09-09 03:25:04 +0300
commite90f4f9e0a327466254f3f1693fbe75aaa2a862f (patch)
treeb99a757737d0f913d2d91ccab839190d96b606c3 /test
parent32578d6c4d28d78e17f3943273f3445dec3b2bd9 (diff)
git : Remove misleading variables (#146)
* remove misleading ppa value * add test * nit * bump version
Diffstat (limited to 'test')
-rw-r--r--test/git/install_git_from_src.sh12
-rw-r--r--test/git/scenarios.json11
2 files changed, 23 insertions, 0 deletions
diff --git a/test/git/install_git_from_src.sh b/test/git/install_git_from_src.sh
new file mode 100644
index 0000000..226278a
--- /dev/null
+++ b/test/git/install_git_from_src.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+# Report result
+reportResults
diff --git a/test/git/scenarios.json b/test/git/scenarios.json
new file mode 100644
index 0000000..a57bea7
--- /dev/null
+++ b/test/git/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_git_from_src": {
+ "image": "ubuntu:focal",
+ "features": {
+ "git": {
+ "version": "latest",
+ "ppa": "false"
+ }
+ }
+ }
+}